## ticketbooth 1.1.1

=== meson_options.txt ===
# Copyright (C) 2023 Alessandro Iepure
#
# SPDX-License-Identifier: GPL-3.0-or-later

option('prerelease', type : 'boolean', value : true)

## ticketbooth 1.0.1

=== debian/changelog ===
ticketbooth (1.0.1-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #1052684)

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 26 Sep 2023 13:15:28 +0200

=== debian/control ===
Source: ticketbooth
Section: gnome
Priority: optional
Maintainer: Arnaud Ferraris <aferraris@debian.org>
Build-Depends: appstream-util <!nocheck>,
               blueprint-compiler,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-sequence-python3,
               libadwaita-1-dev,
               meson,
               python-gi-dev,
               python3-all,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/aleiepure/ticketbooth
Vcs-Browser: https://salsa.debian.org/debian/ticketbooth
Vcs-Git: https://salsa.debian.org/debian/ticketbooth.git

Package: ticketbooth
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         gir1.2-adw-1,
         gir1.2-gtk-4.0 (>= 4.10),
         python3-gi,
         python3-pil,
         python3-tmdbsimple,
Description: Watchlist for movies and TV shows
 Ticket Booth is a graphical application meant for managing a watchlist for
 movies and TV shows. It helps one keep track of watched titles and be notified
 of new releases.
 .
 This application can be used fully offline (relying on the user for entering
 the details of a new movie/series) or by fetching data from TMDB for easier
 usage.

## ticketbooth 1.0.3.1

=== debian/changelog ===
ticketbooth (1.0.3.1-2) unstable; urgency=medium

  * d/patches: fix build when network is unavailable
    (that is, normal Debian builds) (Closes: #1054568)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 27 Nov 2023 21:05:38 +0100

ticketbooth (1.0.3.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: drop unneeded runtime dependency

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 17 Nov 2023 12:08:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Arnaud Ferraris <aferraris@debian.org>
-Build-Depends: appstream-util <!nocheck>,
+Build-Depends: appstream <!nocheck>,
                blueprint-compiler,
                debhelper-compat (= 13),
-               desktop-file-utils,
+               desktop-file-utils <!nocheck>,
                dh-sequence-python3,
                libadwaita-1-dev,
                meson,
@@ -23,7 +23,6 @@
          ${python3:Depends},
          ${shlibs:Depends},
          gir1.2-adw-1,
-         gir1.2-gtk-4.0 (>= 4.10),
          python3-gi,
          python3-pil,
          python3-tmdbsimple,

## ticketbooth 1.1.1

=== debian/changelog ===
ticketbooth (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * d/control: update Standards-Version, no change needed
  * d/patches: refresh for new upstream release

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 23 Feb 2025 02:32:05 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                meson,
                python-gi-dev,
                python3-all,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/aleiepure/ticketbooth
 Vcs-Browser: https://salsa.debian.org/debian/ticketbooth

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure $@ -- -Dprerelease=false

=== debian/watch ===
version=4
opts=filenamemangle=s%.+/v?(\d\S+)\.tar\.gz%ticketbooth-$1\.tar\.gz% \
   https://github.com/aleiepure/ticketbooth/tags .*/v?(\d\S+)\.tar\.gz

## ticketbooth 1.2.0

=== requirements.txt ===
Pillow
tmdbsimple

=== debian/changelog ===
ticketbooth (1.2.0-2) unstable; urgency=medium

  * d/control: always build-depends on `desktop-file-utils`
    It contains `update-desktop-database`, which is required even for
    `nocheck` builds. (Closes: #1116919)
  * d/watch: convert to version 5

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Oct 2025 15:18:08 +0200

ticketbooth (1.2.0-1) unstable; urgency=medium

  * New upstream version
  * d/control: bump Standards-Version, drop Rules-Requires-Root

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 11 Aug 2025 12:01:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,13 @@
 Build-Depends: appstream <!nocheck>,
                blueprint-compiler,
                debhelper-compat (= 13),
-               desktop-file-utils <!nocheck>,
+               desktop-file-utils,
                dh-sequence-python3,
                libadwaita-1-dev,
                meson,
                python-gi-dev,
                python3-all,
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://github.com/aleiepure/ticketbooth
 Vcs-Browser: https://salsa.debian.org/debian/ticketbooth
 Vcs-Git: https://salsa.debian.org/debian/ticketbooth.git

=== debian/watch ===
Version: 5

Template: Github
Owner: aleiepure
Project: @PACKAGE@
